org.hibernate.search.elasticsearch.aws.impl

## Class AWSElasticsearchHttpClientConfigurer

- java.lang.Object
- - org.hibernate.search.elasticsearch.aws.impl.AWSElasticsearchHttpClientConfigurer

- All Implemented Interfaces:
    ElasticsearchHttpClientConfigurer

      public class AWSElasticsearchHttpClientConfigurer
      extends Object
      implements ElasticsearchHttpClientConfigurer

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWSElasticsearchHttpClientConfigurer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.apache.http.impl.nio.client.HttpAsyncClientBuilder builder, Properties properties)` Configure the HTTP Client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWSElasticsearchHttpClientConfigurer

          public AWSElasticsearchHttpClientConfigurer()

  - ### Method Detail

    - #### configure

          public void configure(org.apache.http.impl.nio.client.HttpAsyncClientBuilder builder,
                                Properties properties)

      Description copied from interface: `ElasticsearchHttpClientConfigurer`
      Configure the HTTP Client.

      This method is called once for every configurer, each time an Elasticsearch client is set up.

      Implementors should take care of only applying configuration if relevant: there may be multiple, conflicting configurers in the path, so implementors should first check (through a configuration property) whether they are needed or not before applying any modification. For example an authentication configurer could decide not to do anything if no username is provided, or if the configuration property `my.configurer.enabled` is `false`.

      Specified by:
        `configure` in interface `ElasticsearchHttpClientConfigurer`
      Parameters:
        `builder` - An Apache HTTP client builder, to set the configuration to be applied.
        `properties` - The properties set for the Elasticsearch service being configured. Properties are masked, i.e. `hibernate.search.default.elasticsearch.my.property` will be accessed as simply `my.property`.
      See Also:
        the Apache HTTP Client documentation

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved